Data - List Preview

Data List API

Applies to: S1 pricing tier.

This API allows the caller to fetch a list of all content uploaded previously using the Data Upload API.

Submit List Request

To list all your map data content you will issue a GET request with no additional parameters.

List Data Response

The Data List API returns the complete list of all data in json format. The response contains the following details for each data resource:

udid - The unique data id for the data resource.

location - The location of the data resource. Execute a HTTP GET on this location to download the data.

Here's a sample response returning the udid and location of 3 data resources:


{
    "mapDataList": 
    [
        {
            "udid": "9a1288fa-1858-4a3b-b68d-13a8j5af7d7c",
            "location": "https://atlas.microsoft.com/mapData/9a1288fa-1858-4a3b-b68d-13a8j5af7d7c?api-version=1.0",
            "sizeInBytes": 29920,
            "uploadStatus": "Completed"
        },
        {
            "udid": "8b1288fa-1958-4a2b-b68e-13a7i5af7d7c",
            "location": "https://atlas.microsoft.com/mapData/8b1288fa-1958-4a2b-b68e-13a7i5af7d7c?api-version=1.0",
            "sizeInBytes": 1339,
            "uploadStatus": "Completed"
        },
        {
            "udid": "7c1288fa-2058-4a1b-b68f-13a6h5af7d7c",
            "location": "https://atlas.microsoft.com/mapData/7c1288fa-2058-4a1b-b68f-13a6h5af7d7c?api-version=1.0",
            "sizeInBytes": 1650,
            "uploadStatus": "Pending"
        }]
}

GET https://{geography}.atlas.microsoft.com/mapData?api-version=1.0
GET https://{geography}.atlas.microsoft.com/mapData?subscription-key={subscription-key}&api-version=1.0

URI Parameters

Name In Required Type Description
geography
path True
  • string

This parameter specifies where the Azure Maps Creator resource is located. Valid values are us and eu.

api-version
query True
  • string

Version number of Azure Maps API. Current version is 1.0

subscription-key
query
  • string

One of the Azure Maps keys provided from an Azure Map Account. Please refer to this article for details on how to manage authentication.

Request Header

Name Required Type Description
x-ms-client-id
  • string

Specifies which account is intended for usage in conjunction with the Azure AD security model. It represents a unique ID for the Azure Maps account and can be retrieved from the Azure Maps management plane Account API. To use Azure AD security in Azure Maps see the following articles for guidance.

Responses

Name Type Description
200 OK

List data request completed successfully. The response body contains a list of all the previously uploaded data.

Headers

  • Content-Type: string
400 Bad Request

Bad request: one or more parameters were incorrectly specified or are mutually exclusive.

401 Unauthorized

Access denied due to invalid subscription key or invalid Azure Active Directory (Azure AD) bearer token. Make sure to provide a valid key for an active Azure subscription and Maps resource. Otherwise, verify the WWW-Authenticate header for error code and description of the provided Azure AD bearer token.

Headers

  • WWW-Authenticate: string
403 Forbidden

Permission, capacity, or authentication issues.

404 Not Found

Not Found: the requested resource could not be found, but it may be available again in the future.

500 Internal Server Error

An error occurred while processing the request. Please try again later.

Security

AADToken

These are the Azure Active Directory OAuth2 Flows. When paired with Azure role-based access control it can be used to control access to Azure Maps REST APIs. Azure role-based access controls are used to designate access to one or more Azure Maps resource account or sub-resources. Any user, group, or service principal can be granted access via a built-in role or a custom role composed of one or more permissions to Azure Maps REST APIs.

To implement scenarios, we recommend viewing authentication concepts. In summary, this security definition provides a solution for modeling application(s) via objects capable of access control on specific APIs and scopes.

Notes

  • This security definition requires the use of the x-ms-client-id header to indicate which Azure Maps resource the application is requesting access to. This can be acquired from the Maps management API.

The Authorization URL is specific to the Azure public cloud instance. Sovereign clouds have unique Authorization URLs and Azure Active directory configurations. * The Azure role-based access control is configured from the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs. * Usage of the Azure Maps Web SDK allows for configuration based setup of an application for multiple use cases.

  • Currently, Azure Active Directory v1.0 or v2.0 supports Work, School, and Guests but does not support Personal accounts.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
https://atlas.microsoft.com/.default https://atlas.microsoft.com/.default

subscription-key

This is a shared key that is provisioned when creating an Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.

With this key, any application is authorized to access all REST APIs. In other words, these can currently be treated as master keys to the account which they are issued for.

For publicly exposed applications, our recommendation is to use server-to-server access of Azure Maps REST APIs where this key can be securely stored.

Type: apiKey
In: query

SAS Token

This is a shared access signature token is created from the List SAS operation on the Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.

With this token, any application is authorized to access with Azure role-based access controls and fine-grain control to the expiration, rate, and region(s) of use for the particular token. In other words, the SAS Token can be used to allow applications to control access in a more secured way than the shared key.

For publicly exposed applications, our recommendation is to configure a specific list of allowed origins on the Map account resource to limit rendering abuse and regularly renew the SAS Token.

Type: apiKey
In: header

Examples

List all the previously uploaded data

Sample Request

GET https://us.atlas.microsoft.com/mapData?subscription-key=[subscription-key]&api-version=1.0

Sample Response

{
  "mapDataList": [
    {
      "udid": "f6495f62-94f8-0ec2-c252-45626f82fcb2",
      "location": "https://atlas.microsoft.com/mapData/f6495f62-94f8-0ec2-c252-45626f82fcb2?api-version=1.0",
      "sizeInBytes": 29920,
      "uploadStatus": "Completed"
    },
    {
      "udid": "8b1288fa-1958-4a2b-b68e-13a7i5af7d7c",
      "location": "https://atlas.microsoft.com/mapData/8b1288fa-1958-4a2b-b68e-13a7i5af7d7c?api-version=1.0",
      "sizeInBytes": 1339,
      "uploadStatus": "Completed"
    },
    {
      "udid": "7c1288fa-2058-4a1b-b68f-13a6h5af7d7c",
      "location": "https://atlas.microsoft.com/mapData/7c1288fa-2058-4a1b-b68f-13a6h5af7d7c?api-version=1.0",
      "sizeInBytes": 1650,
      "uploadStatus": "Pending"
    }
  ]
}
{
  "error": {
    "code": "400 BadRequest",
    "message": "Bad request: one or more parameters were incorrectly specified or are mutually exclusive."
  }
}
{
  "error": {
    "code": "401 Unauthorized",
    "message": "Access denied due to invalid subscription key. Make sure to provide a valid key for an active subscription."
  }
}
{
  "error": {
    "code": "403 Forbidden",
    "message": "Permission, capacity, or authentication issues."
  }
}
{
  "error": {
    "code": "404 NotFound",
    "message": "Not Found: the requested resource could not be found, but it may be available again in the future."
  }
}
{
  "error": {
    "code": "500 InternalServerError",
    "message": "An error occurred while processing the request. Please try again later."
  }
}

Definitions

MapDataDetailInfo

Detail information for the data.

MapDataListResponse

The response model for the Data List API. Returns a list of all the previously uploaded data.

ODataError

This object is returned when an error occurs in the Azure Maps API.

ODataErrorResponse

This response object is returned when an error occurs in the Azure Maps API.

MapDataDetailInfo

Detail information for the data.

Name Type Description
location
  • string

The location of the data. Execute a HTTP GET on this location to download the data.

sizeInBytes
  • integer

The size of the content in bytes.

udid
  • string

The unique data id for the data.

uploadStatus
  • string

The current upload status of the content.

MapDataListResponse

The response model for the Data List API. Returns a list of all the previously uploaded data.

Name Type Description
mapDataList

A list of all the previously uploaded data.

ODataError

This object is returned when an error occurs in the Azure Maps API.

Name Type Description
code
  • string

The ODataError code.

details

This object is returned when an error occurs in the Azure Maps API.

message
  • string

If available, a human-readable description of the error.

target
  • string

If available, the target causing the error.

ODataErrorResponse

This response object is returned when an error occurs in the Azure Maps API.

Name Type Description
error

This object is returned when an error occurs in the Azure Maps API.